Ipelib: ipe::Font Struct Reference

Ipelib

- Main Page
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Attributes | Related Functions

# ipe::Font Struct Reference

A text font. More...

`#include <ipefontpool.h>`

List of all members.

## Public Types

- enum TType { EType1, ETrueType }

## Public Attributes

- TType iType
- String iName
- int iLatexNumber
- String iFontDict
- String iFontDescriptor
- String iStreamDict
- int iLength1
- int iLength2
- int iLength3
- Buffer iStreamData
- bool iHasEncoding
- String iEncoding [0x100]
- bool iStandardFont
- int iWidth [0x100]

## Related Functions

(Note that these are not member functions.)

- typedef std::vector< Font > FontPool

## Detailed Description

A text font.

## Member Enumeration Documentation

enum ipe::Font::TType

Ipe supports two types of fonts.

Enumerator:

  EType1 |
  ETrueType |

## Friends And Related Function Documentation

typedef std::vector<Font> FontPool`[related]`

A list of fonts used by a Document.

## Member Data Documentation

TType ipe::Font::iType

The font type.

String ipe::Font::iName

The name of this font (e.g. "Times-Roman").

int ipe::Font::iLatexNumber

The font id in the Pdflatex output: /Fxx.

String ipe::Font::iFontDict

The font dictionary in the PDF file.

String ipe::Font::iFontDescriptor

The font descriptor in the PDF file.

String ipe::Font::iStreamDict

The stream dictionary for the font stream in the PDF file.

int ipe::Font::iLength1

The values of LengthX in the font stream in the PDF file.

int ipe::Font::iLength2

int ipe::Font::iLength3

Buffer ipe::Font::iStreamData

The stream data for the font stream in the PDF file.

bool ipe::Font::iHasEncoding

Is there an explicit encoding for this font?

String ipe::Font::iEncoding[0x100]

The encoding of this font.

bool ipe::Font::iStandardFont

Is this one of the 14 standard fonts?

int ipe::Font::iWidth[0x100]

The width of each character in font units.

The documentation for this struct was generated from the following file:

- ipefontpool.h